%define upstream_name    Dist-Zilla-Plugin-MetaData-BuiltWith
%define upstream_version 0.04000000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Go overkill and report everything in all name-spaces
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load)
BuildRequires: perl(Dist::Zilla::Role::ConfigDumper) >= 4.101.540
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Util::EmulatePhase) >= 0.10.1.10
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.700
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Often, distribution authors get module dependencies wrong. So in such
cases, its handy to be able to see what version of various packages they
built with.

Some would prefer to demand everyone install the same version as they did,
but that's also not always necessary.

Hopefully, the existence of the metadata provided by this module will help
users on their end machines make intelligent choices about what modules to
install in the event of a problem.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.40.0.0-2.mga4
+ Revision: 537794
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.40.0.0-1.mga4
+ Revision: 487744
- update to 0.04000000

* Sun Jan 13 2013 umeabot <umeabot> 0.30.1.0-2.mga3
+ Revision: 366277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 0.30.1.0-1.mga3
+ Revision: 291666
- update to 0.03000100

* Tue Jun 05 2012 jquelin <jquelin> 0.30.0.0-1.mga3
+ Revision: 254872
- update to 0.03000000

* Mon Mar 05 2012 jquelin <jquelin> 0.20.1.0-1.mga2
+ Revision: 218723
- update to 0.02000100

* Thu Nov 03 2011 jquelin <jquelin> 0.10.182.50-1.mga2
+ Revision: 162196
- update to 0.01018205

* Fri Feb 25 2011 jquelin <jquelin> 0.10.182.40-1.mga1
+ Revision: 59880
- update to 0.01018204

* Wed Jan 26 2011 jquelin <jquelin> 0.10.51.220-1.mga1
+ Revision: 40476
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaData-BuiltWith

